<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:20:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Index (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.5 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Index (org.eclipse.papyrus.designer.languages.common.extensionpoints 1.0.5 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;<a name="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">AbstractSettings</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Abstract superclass for project settings.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html#AbstractSettings--">AbstractSettings()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Activator</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">The activator class controls the plug-in life cycle</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html#Activator--">Activator()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Activator</a></dt>
<dd>
<div class="block">The constructor</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#addParameterType-java.lang.String-">addParameterType(String)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">Add a parameter type</div>
</dd>
</dl>
<a name="I:B">
<!--   -->
</a>
<h2 class="title">B</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#behavior">behavior</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>
<div class="block">the associated behavior within the source model, in case of a non-trivial method.</div>
</dd>
</dl>
<a name="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#chooseGenerator-java.util.regex.Pattern-org.eclipse.uml2.uml.Classifier-">chooseGenerator(Pattern, Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">Interactively choose a generator for a given set of languages (pattern).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html#cleanCode-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">cleanCode(IProject, PackageableElement, IProgressMonitor)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></dt>
<dd>
<div class="block">Clean the code for a certain element, i.e.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#computeResult--">computeResult()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GeneratorSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#createBehaviorName">createBehaviorName</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#createDialogArea-org.eclipse.swt.widgets.Composite-">createDialogArea(Composite)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GeneratorSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#createProject-java.lang.String-">createProject(String)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangProjectSupport</a></dt>
<dd>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before).</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#createProject-java.lang.String-org.eclipse.uml2.uml.Package-">createProject(String, Package)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangProjectSupport</a></dt>
<dd>
<div class="block">Create a project for a specific language and configure it (according to
 gathered configuration data before).</div>
</dd>
</dl>
<a name="I:E">
<!--   -->
</a>
<h2 class="title">E</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#editedElement">editedElement</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>
<div class="block">the element for which the CDT editor has been opened.</div>
</dd>
</dl>
<a name="I:F">
<!--   -->
</a>
<h2 class="title">F</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#fromBehavior-org.eclipse.uml2.uml.Behavior-">fromBehavior(Behavior)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">constructor creating a default method information instance from a given behavior</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#fromOperation-org.eclipse.uml2.uml.Operation-">fromOperation(Operation)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">default initializer from a method</div>
</dd>
</dl>
<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#gatherConfigData-org.eclipse.uml2.uml.Classifier-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">gatherConfigData(Classifier, AbstractSettings)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangProjectSupport</a></dt>
<dd>
<div class="block">Gather configuration data from implementations, e.g.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html#generateCode-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.PackageableElement-org.eclipse.core.runtime.IProgressMonitor-">generateCode(IProject, PackageableElement, IProgressMonitor)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></dt>
<dd>
<div class="block">Generate code for a specific language</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html#GENERATED_END">GENERATED_END</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GenerationConstants</a></dt>
<dd>
<div class="block">Constant indicating that generated code ends.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html#GENERATED_START">GENERATED_START</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GenerationConstants</a></dt>
<dd>
<div class="block">Constant indicating that generated code follows.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">GenerationConstants</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html#GenerationConstants--">GenerationConstants()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GenerationConstants.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GenerationConstants</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">GeneratorSelectionDialog</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Select a generator from a list of eligible generators</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#GeneratorSelectionDialog-org.eclipse.swt.widgets.Shell-java.util.List-">GeneratorSelectionDialog(Shell, List&lt;ILangCodegen&gt;)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GeneratorSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#GeneratorSelectionDialog_infoCodeGen">GeneratorSelectionDialog_infoCodeGen</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#GeneratorSelectionDialog_SelectGenerator">GeneratorSelectionDialog_SelectGenerator</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getCodegen-java.lang.String-">getCodegen(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block"><span class="deprecatedLabel">Deprecated.</span>
<div class="block"><span class="deprecationComment">This method is deprecated and kept for compatibility, since there could be more than one generator
    for a given programming language.</span></div>
</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getCodegenList-java.util.regex.Pattern-">getCodegenList(Pattern)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">retrieve a list of code generators for a given language.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html#getDefault--">getDefault()</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Activator</a></dt>
<dd>
<div class="block">Returns the shared instance</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html#getDescription--">getDescription()</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></dt>
<dd>
<div class="block">Provide a user friendly description of the generator</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getEligibleGeneratorList-java.util.regex.Pattern-org.eclipse.uml2.uml.Classifier-">getEligibleGeneratorList(Pattern, Classifier)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">Get a list of generators that conform a language patterns and are
 eligible for a passe classifier</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html#getFileName-org.eclipse.core.resources.IProject-org.eclipse.uml2.uml.NamedElement-">getFileName(IProject, NamedElement)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></dt>
<dd>
<div class="block">Obtain fileName of file(s) generated for a named element.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.lang.String-">getGenerator(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">Get a code generator via language and ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.lang.String-java.lang.String-">getGenerator(String, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">Get a code generator via language and ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getGenerator-java.util.regex.Pattern-java.lang.String-">getGenerator(Pattern, String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>
<div class="block">Get a code generator via language and ID.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#getID-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen-">getID(ILangCodegen)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html#getMethodInfo-org.eclipse.uml2.uml.NamedElement-">getMethodInfo(NamedElement)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></dt>
<dd>
<div class="block">return additional information about the method that has been generated
 for a UML behavior.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#getName--">getName()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#getParameterTypes--">getParameterTypes()</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html#getProjectSupport-java.lang.String-">getProjectSupport(String)</a></span> - Static method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageProjectSupport</a></dt>
<dd>
<div class="block">Get the project support for a given language editor.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html#getSuffix-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen.FILE_KIND-">getSuffix(ILangCodegen.FILE_KIND)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></dt>
<dd>
<div class="block">Return the suffix of a code generator.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html#getSyncInformation-java.lang.String-java.lang.String-">getSyncInformation(String, String)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></dt>
<dd>
<div class="block">Some code generators use a non-trivial mapping from behaviors to methods
 in the generated code or add methods that are not part of a existing
 behavior in the model.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html#getTargetProject-org.eclipse.uml2.uml.PackageableElement-boolean-">getTargetProject(PackageableElement, boolean)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen</a></dt>
<dd>
<div class="block">Code might be generated into a specific project.</div>
</dd>
</dl>
<a name="I:I">
<!--   -->
</a>
<h2 class="title">I</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#ILANG_SUPPORT_ID">ILANG_SUPPORT_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html#ILANG_SUPPORT_ID">ILANG_SUPPORT_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageProjectSupport</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">ILangCodegen</span></a> - Interface in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Extension point that is implemented by a code generator for a specific
 programming language</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.FILE_KIND.html" title="enum in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">ILangCodegen.FILE_KIND</span></a> - Enum in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">FILE KIND enumeration.</div>
</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">ILangCodegen2</span></a> - Interface in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">ILangProjectSupport</span></a> - Interface in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Common interface to create projects for a specific programming language.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#initialConfigurationData--">initialConfigurationData()</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangProjectSupport</a></dt>
<dd>
<div class="block">Create an initial (empty) configuration.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html#isEligible-org.eclipse.uml2.uml.Element-">isEligible(Element)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen2.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen2</a></dt>
<dd>
<div class="block">Return true, if the generator is eligible for a certain element within a
 model.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#isGenerated">isGenerated</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>
<div class="block">true, iff the method has been added by the generator and does not need synchronization.</div>
</dd>
</dl>
<a name="I:L">
<!--   -->
</a>
<h2 class="title">L</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">LanguageCodegen</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Common interface to generate code.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html#LanguageCodegen--">LanguageCodegen()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageCodegen.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageCodegen</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#LanguageCodegen_NoGeneratorsFound">LanguageCodegen_NoGeneratorsFound</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#LanguageCodegen_NoGeneratorsFoundLong">LanguageCodegen_NoGeneratorsFoundLong</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">LanguageProjectSupport</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Support for multiple target languages via the Eclipse extension mechanism</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html#LanguageProjectSupport--">LanguageProjectSupport()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/LanguageProjectSupport.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">LanguageProjectSupport</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#LanguageSupport_LanguageNotSupported">LanguageSupport_LanguageNotSupported</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:M">
<!--   -->
</a>
<h2 class="title">M</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#m_description">m_description</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GeneratorSelectionDialog</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">Messages</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">MethodInfo</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Additional information about a method that has been generated for a UML behavior.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#MethodInfo-java.lang.String-">MethodInfo(String)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">Create a new method info with a given name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#MethodInfo-java.lang.String-java.util.List-">MethodInfo(String, List&lt;String&gt;)</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">Create a new method info</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html#ModelElementsCreator_UnsupportedModelElement">ModelElementsCreator_UnsupportedModelElement</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Messages.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Messages</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:N">
<!--   -->
</a>
<h2 class="title">N</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#name">name</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">The name of the generated method.</div>
</dd>
</dl>
<a name="I:O">
<!--   -->
</a>
<h2 class="title">O</h2>
<dl>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a> - package org.eclipse.papyrus.designer.languages.common.extensionpoints</dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:P">
<!--   -->
</a>
<h2 class="title">P</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html#parameterTypes">parameterTypes</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/MethodInfo.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">MethodInfo</a></dt>
<dd>
<div class="block">The names of parameter types</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html#PLUGIN_ID">PLUGIN_ID</a></span> - Static variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Activator</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html#setSettings-org.eclipse.core.resources.IProject-org.eclipse.papyrus.designer.languages.common.extensionpoints.AbstractSettings-">setSettings(IProject, AbstractSettings)</a></span> - Method in interface org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangProjectSupport.html" title="interface in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangProjectSupport</a></dt>
<dd>
<div class="block">Write the project settings from the passed project specific settings.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html#start-org.osgi.framework.BundleContext-">start(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html#stop-org.osgi.framework.BundleContext-">stop(BundleContext)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/Activator.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">Activator</a></dt>
<dd>&nbsp;</dd>
<dt><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints"><span class="typeNameLink">SyncInformation</span></a> - Class in <a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">org.eclipse.papyrus.designer.languages.common.extensionpoints</a></dt>
<dd>
<div class="block">Some code generators map behaviors in a non-trivial way or add methods that have not been generated.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#SyncInformation--">SyncInformation()</a></span> - Constructor for class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html#targetOS">targetOS</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/AbstractSettings.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">AbstractSettings</a></dt>
<dd>
<div class="block">the operating system for which code should be produced (will have a
 project specific effect, e.g.</div>
</dd>
</dl>
<a name="I:U">
<!--   -->
</a>
<h2 class="title">U</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html#unfilteredBody">unfilteredBody</a></span> - Variable in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/SyncInformation.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">SyncInformation</a></dt>
<dd>
<div class="block">The method body gets filtered during default synchronization (text between generation markers is removed), but the filtered information might be
 important for customized back-synchronization.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html#updateDescription-org.eclipse.papyrus.designer.languages.common.extensionpoints.ILangCodegen-">updateDescription(ILangCodegen)</a></span> - Method in class org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/GeneratorSelectionDialog.html" title="class in org.eclipse.papyrus.designer.languages.common.extensionpoints">GeneratorSelectionDialog</a></dt>
<dd>&nbsp;</dd>
</dl>
<a name="I:V">
<!--   -->
</a>
<h2 class="title">V</h2>
<dl>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.FILE_KIND.html#valueOf-java.lang.String-">valueOf(String)</a></span> - Static method in enum org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.FILE_KIND.html" title="enum in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen.FILE_KIND</a></dt>
<dd>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</dd>
<dt><span class="memberNameLink"><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.FILE_KIND.html#values--">values()</a></span> - Static method in enum org.eclipse.papyrus.designer.languages.common.extensionpoints.<a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/ILangCodegen.FILE_KIND.html" title="enum in org.eclipse.papyrus.designer.languages.common.extensionpoints">ILangCodegen.FILE_KIND</a></dt>
<dd>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:B">B</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:E">E</a>&nbsp;<a href="#I:F">F</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:N">N</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<a href="#I:S">S</a>&nbsp;<a href="#I:T">T</a>&nbsp;<a href="#I:U">U</a>&nbsp;<a href="#I:V">V</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li><a href="org/eclipse/papyrus/designer/languages/common/extensionpoints/package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?index-all.html" target="_top">Frames</a></li>
<li><a href="index-all.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
